mvchpf
Prev | Orchestra Opcodes and Operators | Next

## mvchpf

mvchpf — Moog voltage-controlled highpass filter emulation.

## Description

Mvchpf is an digital implementation of the 4th-order (24 dB/oct) Moog high-pass filter, originally written by Fons Andriaensen. According to the author, mvchpf "...is based on the voltage controlled highpass filter by Robert Moog. again with some attention to the nonlinear effects."

## Syntax

    asig mvchpf ain, xcf[, istor]

## Initialization

istor --initial disposition of internal data space. Since filtering incorporates a feedback loop of previous output, the initial status of the storage space used is significant. A zero value will clear the space; a non-zero value will allow previous information to remain. The default value is 0.

## Performance

ain -- input signal.

xcf -- filter cutoff frequency. The useful range is around six octaves below and above middle C (pch 8.00).

## Examples

Here is an example of the mvchpf opcode. It uses the file mvchpf.csd.

Example 647. Example of the mvchpf opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    -odac
    </CsOptions>
    <CsInstruments>
    0dbfs = 1

    instr 1
     kenv linen p4,0.1,p3,0.1
     ain rand kenv
     kfr expon 220, p3, 1760
     asig mvchpf ain,kfr
       out asig
    endin

    </CsInstruments>
    <CsScore>
    i1 0 5 0.9
    </CsScore>
    </CsoundSynthesizer>

## See also

Standard Filters: Hi-pass filters

## Credits

Author: Fons Andriaensen,
ported to Csound by Victor Lazzarini
January 2016

New in version 6.07

January 2016.

Prev | Up | Next
mute | Home | mvclpf1